Download it now!
Bug 63197 - avoid packing stuff into zips during build
Summary: avoid packing stuff into zips during build
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack, topicCleanup
Depends on:
Blocks:
 
Reported: 2013-04-06 06:26 UTC by David Tardon
Modified: 2015-12-16 05:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Tardon 2013-04-06 06:26:31 UTC
Because adding a file to the installation through the scp2 configuration is an incredibly overcomplicated process, we often resort to packing a set of files into a zip, that is then replaced by the installer by its contents. Now, http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9b947a6665170f96ba4182d81a630da74ea96a2 adds the ability to use a filelist in the same way (and enhances Package to create the filelists automatically). This allows us to replace most uses of Zip by a Package. 

What needs to be done to successfully convert a Zip to a Package:
1. (gbuild) Convert the Zip_foo.mk to Package_foo.mk:
   - change destination paths of all files to the same ones they have in the installation. One can find the path (with some labour) in scp2: every File and Directory record has an entry that points to its parent directory; it is called Dir for Files and ParentID for Directories. The name of a Directory is in its DosName entry. By starting at the File record of the zip file and going through the directories up till the root directory of the installation, one can reconstruct the path.
   - use gb_Package_set_outdir to place the files under $INSTDIR, where they are expected.

2. (scp2) Change the scp2 record:
   - change filename to <package-name>.filelist
   - replace ARCHIVE by FILELIST in Styles
   - change Dir to FILELIST_DIR.

For testing, remove the zip from $(OUTDIR)/pck, run "make dev-install" and make sure the files are in the installation at the places they should be.

This actually sounds more complicated than it is :-) With a bit of practice a conversion of one Zip will not take more that a few minutes. There are two example conversions for inspiration: http://cgit.freedesktop.org/libreoffice/core/commit/?id=221cd46f47f40c892e554b0848978bda3d9957e1 and http://cgit.freedesktop.org/libreoffice/core/commit/?id=a593069ff9f64dd94e8210b0cff03b65fe059b40 .
Comment 1 Commit Notification 2013-04-10 18:04:14 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b7da751fd6ada77980b13745f9b276c311e0963

fdo#63197, Convert Zip_database



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2013-04-11 03:33:36 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=283ce0b6192c1a5baf10d603a3d6606fe06d1116

fdo#63197, Convert Zip_databasebiblio



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-04-12 03:38:46 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7111979c6ca1d935662fa13f603847967c5562f

fdo#63197, Convert Zip_autotextuser



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-04-14 08:55:49 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=712acdd7dbbaa94b299c1ae739d4081f2f057b27

fdo#63197, Convert Zip_cfgsrvbitmapunx, Zip_cfgsrvnolang and Zip_cfgusr



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-04-14 18:01:46 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=192c3ca83354921313d452fa4353c2bc8da1a13e

fdo#63197: Convert list below:



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-04-15 17:41:08 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c6b6ba5de27a078c12b3cade781d97f127b2fab

fdo#63197, Convert Zip_tpl*



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-04-15 19:09:42 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=884467c01afa8229fdddeee70c9160b0e698bada

Related fdo#63197: fix typo



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-04-15 19:16:43 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=672260fc77408791998814e2cb8b787c8657730f

Related fdo#63197: fix missing "extras_"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-04-17 04:40:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0879a54aed42b3e90d34b37aede434b1c84f7d0

fdo#63197, convert Zip_accessoriesgallery



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Julien Nabet 2013-04-17 12:13:23 UTC
the Zip_accessories* in extras/ are too complicate for me and I'm less confident for the other modules than those I converted (with David's help).

Certainly someone will keep on.
Comment 11 Commit Notification 2013-04-17 19:21:17 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0191eb95fb39138500426a87569d365ecaaf8e42

fdo#63197: convert wizards



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-04-18 04:06:40 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b4315077a6827798e1d2bdae73298365ba9a018

fdo#63197, convert sysui osxicons



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-04-18 04:13:46 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e725872d49e8b176e2c9be4fde5d5f76256daf45

fdo#63197: convert psprint_config files



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2013-04-18 04:14:03 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1ba3e03078d1d69e482aaae497a068600fa68fd

fdo#63197, convert accessoriesgallerydrawspeople



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2013-04-18 06:54:05 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3677823cea29f6d0b054827a8df1ae3aa84c4523

fdo#63197, convert some accessories



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2013-04-18 13:28:25 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b72c1a6575790944b18fb654664c8091d7cf2e67

fdo#63197: convert the rest of accessoriesgallery*



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2013-04-18 19:42:39 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d636dcc64065fa280688dc26aecb2bb78792eaef

fdo#63197, convert last gallery + template accessories



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2013-04-19 04:07:52 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=687a821e3b4ac872fd7eb1010ea87c3d81e71991

fdo#63197: convert 3 out 4 from scripting part



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2013-04-28 14:37:12 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c04d86f692d4b0841adba508a21e63e1bcdc45f

fdo#63197: convert helpxsl



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2013-04-28 14:37:30 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ed5affa51257e1bfece7fd8712acad77ad64cad

fdo#63197: convert fontunxafm



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2013-04-28 14:58:31 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c4f99287c1ffc7119f6bf171926db6233e9de9c

fdo#63197: convert liblangtag_data



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2013-04-28 18:30:49 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14a96e28c9dac64cfa0d1cf1c6fc3fece8ed6b0c

fdo#63197: convert osxres



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Robinson Tryon (qubit) 2015-12-16 05:13:48 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner TopicCleanup )
[NinjaEdit]